
# Class: AuBaseSelectorWidget

Declares methods used to retrieve the selected value in a widget and clear the selection.

## Hierarchy

  ↳ [AuBaseWidget](aubasewidget.md)

  ↳ **AuBaseSelectorWidget**

  ↳ [AuWidgetCheckbox](auwidgetcheckbox.md)

  ↳ [AuWidgetDataSheet](auwidgetdatasheet.md)

  ↳ [AuWidgetGallery](auwidgetgallery.md)

  ↳ [AuWidgetGroup](auwidgetgroup.md)

  ↳ [AuAbstractOption](auabstractoption.md)

  ↳ [AuWidgetInputText](auwidgetinputtext.md)

  ↳ [AuWidgetColorPicker](auwidgetcolorpicker.md)

  ↳ [AuWidgetColorSelector](auwidgetcolorselector.md)

  ↳ [AuWidgetFinishGroup](auwidgetfinishgroup.md)

  ↳ [AuPIMDesignSelector](aupimdesignselector.md)

  ↳ [AuWidgetPimOption](auwidgetpimoption.md)

  ↳ [AuWidgetPimOptions](auwidgetpimoptions.md)

## Implements

* [IWidget](../interfaces/iwidget.md)

## Index

### Properties

* [params](aubaseselectorwidget.md#params)

### Accessors

* [_](aubaseselectorwidget.md#_)

### Methods

* [checkInitDependenciesWidgets](aubaseselectorwidget.md#checkinitdependencieswidgets)
* [clearSelection](aubaseselectorwidget.md#abstract-clearselection)
* [resetPreloaderState](aubaseselectorwidget.md#resetpreloaderstate)
* [showPreloader](aubaseselectorwidget.md#showpreloader)
* [showToast](aubaseselectorwidget.md#showtoast)

## Properties

###  params

• **params**: *any*

*Inherited from [AuBaseWidget](aubasewidget.md).[params](aubasewidget.md#params)*

Compiled widget configuration.

## Accessors

###  _

• **get _**(): *any*

 Returns the selected value.

**Returns:** *any*

## Methods

###  checkInitDependenciesWidgets

▸ **checkInitDependenciesWidgets**(): *string[]*

*Inherited from [AuBaseWidget](aubasewidget.md).[checkInitDependenciesWidgets](aubasewidget.md#checkinitdependencieswidgets)*

Returns an array of widget names, due to which the current widget cannot receive parameters.

**Returns:** *string[]*

___

### `Abstract` clearSelection

▸ **clearSelection**(): *any*

Clears the selection.

**Returns:** *any*

___

###  resetPreloaderState

▸ **resetPreloaderState**(): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[resetPreloaderState](aubasewidget.md#resetpreloaderstate)*

**Returns:** *void*

___

###  showPreloader

▸ **showPreloader**(`isPreload`: boolean, `message`: string | string[], `timeout`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showPreloader](aubasewidget.md#showpreloader)*

Shows a preloader.

```
"onClick": [
  "{{#function main.showPreloader(true, 'Creating print files...')}}",
  "{{#function $['editor'].getHiResImages(800,800)}}",
  "{{#function main.showPreloader(false)}}"
]
```

**Parameters:**

Name | Type | Default | Description |
------ | ------ | ------ | ------ |
`isPreload` | boolean | - | If `true`, enables the preloader. |
`message` | string &#124; string[] |  [""] | A text message that appears next to the preloader.  |
`timeout` | number | 5 | - |

**Returns:** *void*

___

###  showToast

▸ **showToast**(`data?`: string, `duration?`: number): *void*

*Inherited from [AuBaseWidget](aubasewidget.md).[showToast](aubasewidget.md#showtoast)*

Shows a toast.

```
return editor.loadUserInfo(data)
    .catch(err => {
        this.widget.showToast("Error: Invalid data");
        console.log(err);
    });
```

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`data?` | string | A string message to display in the toast. |
`duration?` | number | Defines how long to show the toast for.  |

**Returns:** *void*
